#!/bin/sh
echo 'name: hexpat
version: 0.20.3
id: hexpat-0.20.3-37e80bc8a9298c491d4c247e02f41a6f

license: BSD3
copyright: (c) 2009 Doug Beardsley <mightybyte@gmail.com>,
           (c) 2009-2012 Stephen Blackheath <http://blacksapphire.com/antispam/>,
           (c) 2009 Gregory Collins,
           (c) 2008 Evan Martin <martine@danga.com>,
           (c) 2009 Matthew Pocock <matthew.pocock@ncl.ac.uk>,
           (c) 2007-2009 Galois Inc.,
           (c) 2010 Kevin Jardine,
           (c) 2012 Simon Hengel
maintainer: http://blacksapphire.com/antispam/
stability: beta
homepage: http://haskell.org/haskellwiki/Hexpat/
package-url:
synopsis: XML parser/formatter based on expat
description: This package provides a general purpose Haskell XML library using Expat to
             do its parsing (<http://expat.sourceforge.net/> - a fast stream-oriented XML
             parser written in C).  It is extensible to any string type, with @String@,
             @ByteString@ and @Text@ provided out of the box.
             .
             Basic usage: Parsing a tree (/Tree/), formatting a tree (/Format/).
             Other features: Helpers for processing XML trees (/Proc/), trees annotated with
             XML source location (/Annotated/), extended XML trees with comments,
             processing instructions, etc (/Extended/), XML cursors (/Cursor/),
             SAX-style parse (/SAX/), and access to the low-level interface in case speed
             is paramount (/Internal.IO/).
             .
             The design goals are speed, speed, speed, interface simplicity and modularity.
             .
             For introduction and examples, see the /Text.XML.Expat.Tree/ module. For benchmarks,
             <http://haskell.org/haskellwiki/Hexpat/>
             .
             If you want to do interactive I\/O, an obvious option is to use lazy parsing
             with one of the lazy I\/O functions such as hGetContents.  However, this can be
             problematic in some applications because it doesn'\''t handle I\/O errors properly
             and can give no guarantee of timely resource cleanup. Because of the generalized
             list, Hexpat is designed to allow for chunked I/O, but as of this writing I haven'\''t
             done a nice integration with enumerator and friends.
             .
             /IO/ is filed under /Internal/ because it'\''s low-level and most users won'\''t want
             it.  The other /Internal/ modules are re-exported by /Annotated/, /Tree/ and /Extended/,
             so you won'\''t need to import them directly.
             .
             Credits to Iavor Diatchki and the @xml@ (XML.Light) package for /Proc/ and /Cursor/.
             Thanks to the many contributors.
             .
             ChangeLog: 0.15 changes intended to fix a (rare) \"error: a C finalizer called back into Haskell.\"
             that seemed only to happen only on ghc6.12.X; 0.15.1 Fix broken Annotated parse;
             0.16 switch from mtl to transformers; 0.17 fix mapNodeContainer & rename some things.;
             0.18 rename defaultEncoding to overrideEncoding. 0.18.3 formatG and indent were demanding list
             items more than once (inefficient in chunked processing); 0.19 add Extended.hs;
             0.19.1 fix a memory leak introduced in 0.19, delegate parsing to bound thread
             if unbound (see note above); 0.19.2 include expat source code so \'\''cabal install\'\'' just works
             on Linux, Mac and Windows (thanks Jacob Stanley); 0.19.3 fix misconfiguration of expat
             which broke entity parsing; 0.19.4 bump version constraint for text; 0.19.5 bump text
             to < 0.12 and fix text-0.10.0.1 breakage; 0.19.6 dependency breakage with List;
             0.19.7 ghc-7.2.1 compatibility; 0.19.8 fix space leak on lazy parse under ghc-7.2.1;
             0.19.9 fix formatting of > character + improve performance; 0.19.10 ghc-7.4.x compatibility;
             0.20.1 fix an unfortunate crash when used in parallel processing and greatly improve
             performance; 0.20.2 make parseSaxG lazier.
category: XML
author: Stephen Blackheath [blackh] (the primary author),
        Doug Beardsley,
        Gregory Collins,
        Evan Martin (who started the project),
        Matthew Pocock [drdozer],
        Kevin Jardine,
        Jacob Stanley,
        Simon Hengel
exposed: True
exposed-modules: Text.XML.Expat.Annotated Text.XML.Expat.Cursor
                 Text.XML.Expat.Extended Text.XML.Expat.Format Text.XML.Expat.Proc
                 Text.XML.Expat.SAX Text.XML.Expat.Tree
                 Text.XML.Expat.Internal.DocumentClass Text.XML.Expat.Internal.IO
                 Text.XML.Expat.Internal.Namespaced
                 Text.XML.Expat.Internal.NodeClass Text.XML.Expat.Internal.Qualified
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/hexpat-0.20.3
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/hexpat-0.20.3
              /usr/local/lib
hs-libraries: HShexpat-0.20.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: List-0.5.1-96a2ad1eec78cc7f055bcaf8cf6ef906
         base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         bytestring-0.9.2.1-e22c77999d0db34f3ca8de7082a3ffd5
         containers-0.4.2.1-efa59805336a77490296ae3897cecb87
         deepseq-1.3.0.0-c8a9e8b538aecb7581533b9c1d19faed
         extensible-exceptions-0.1.1.4-3d9bd197c43329612c640f24179a7f19
         text-0.11.2.3-366962ac4488fc093d5aed19e281b055
         transformers-0.3.0.0-2889ebed7e61112cda7ded5e4c153bcf
         utf8-string-0.3.7-1bbf2d8486e5b2b6dbd89573586560d4
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/hexpat-0.20.3/html/hexpat.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/hexpat-0.20.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
